Runtime

## org.eclipse.gmf.runtime.emf.clipboard.core
Class PasteTarget

    java.lang.Object
      org.eclipse.gmf.runtime.emf.clipboard.core.PasteTarget

public class PasteTarget
extends java.lang.Object

A class which stores the target object for the paste operation.

Constructor Summary
`PasteTarget(EObject target)` Constructs a `PasteTarget` for the given `EObject`.
`PasteTarget(Resource target)` Constructs a `PasteTarget` for the given `Resource`.

Method Summary
`java.lang.Object` `getObject()` Return the underlying target object.
`boolean` `isResource()` Return true if the target object is of type `Resource`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PasteTarget

    public PasteTarget(EObject target)

  Constructs a `PasteTarget` for the given `EObject`.

Parameters:
  `target` - the

### PasteTarget

    public PasteTarget(Resource target)

  Constructs a `PasteTarget` for the given `Resource`.

Parameters:
  `target` - the

Method Detail

### getObject

    public java.lang.Object getObject()

  Return the underlying target object.

  Returns:
    the target object

### isResource

    public boolean isResource()

  Return true if the target object is of type `Resource`.

  Returns:
    true if the target object is of type `Resource`

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.